Subject: bug#22395: closed (Re: bug#22395: 25.0.50; 'C-v' scrolls only a half of the window height)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 18 Jan 2016 16:26:02 +0000

Your bug report

#22395: 25.0.50; 'C-v' scrolls only a half of the window height

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22395: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22395
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22395: 25.0.50; 'C-v' scrolls only a half of the window height
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Mon, 18 Jan 2016 18:25:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 17 Jan 2016 21:50:16 +0100
> From: Dani Moncayo <[email-masked]>
> 
> 1. Eval:
>     (setq scroll-preserve-screen-position t)
>     (setq scroll-margin 2)
> 
> 2. Visit the attached file.
> 
> On my system, I initially see lines 1 to 33.
> 
> 3. Type 'C-v'
> 
> I observe that 'C-v' has scrolled the buffer vertically, but only by
> about a half of the window height (I now see lines 16 to 48).
> Subsequent 'C-v' commands do the same: they scroll the buffer by a
> half of the window.
> 
> This seems wrong.  The amount of scrolling should be "a near full
> screen", as described in 'C-h k C-v'.

Start the same recipe from line #3 or greater, and the "bug" goes
away.

You asked Emacs to do the impossible: preserve the screen position of
point at the first window line and also not to allow point to enter
the first 2 lines of the window.  Emacs didn't know what to do with
this conflict.  Now it does.

Subject: 25.0.50; 'C-v' scrolls only a half of the window height
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Sun, 17 Jan 2016 21:50:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe from "emacs -Q":

1. Eval:
    (setq scroll-preserve-screen-position t)
    (setq scroll-margin 2)

2. Visit the attached file.

On my system, I initially see lines 1 to 33.

3. Type 'C-v'

I observe that 'C-v' has scrolled the buffer vertically, but only by
about a half of the window height (I now see lines 16 to 48).
Subsequent 'C-v' commands do the same: they scroll the buffer by a
half of the window.

This seems wrong.  The amount of scrolling should be "a near full
screen", as described in 'C-h k C-v'.

I observe this bug also in the last 24.5 release.

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2016-01-17 built on LEG570
Repository revision: a0d5b7ae3bb014bb0b1c205d123c597df0e76411
Windowing system distributor 'Microsoft Corp.', version 10.0.10586
Configured using:
 'configure --host=i686-pc-mingw32 --enable-checking=yes,glyphs'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

-- 
Dani Moncayo